<?php
/**
 * @package Demo Import
 * @since 1.0.0
 */

class ThemeWhizzie {

	protected $version = '1.1.0';

	/** @var string Current theme name, used as namespace in actions. */
	protected $theme_name = '';
	protected $theme_title = '';

	/** @var string Demo Import page slug and title. */
	protected $page_slug = '';
	protected $page_title = '';
	public $parent_slug;
	/** @var array Demo Import steps set by user. */
	protected $config_steps = array();

	/**
	 * Constructor
	 *
	 * @param $forest_safari_config	Our config parameters
	*/
	public function __construct( $forest_safari_config ) {
		$this->set_vars( $forest_safari_config );
		$this->init();
	}

	/**
	 * Set some settings
	 * @since 1.0.0
	 * @param $forest_safari_config	Our config parameters
	*/
	public function set_vars( $forest_safari_config ) {
		if( isset( $forest_safari_config['page_slug'] ) ) {
			$this->page_slug = esc_attr( $forest_safari_config['page_slug'] );
		}
		if( isset( $forest_safari_config['page_title'] ) ) {
			$this->page_title = esc_attr( $forest_safari_config['page_title'] );
		}
		if( isset( $forest_safari_config['steps'] ) ) {
			$this->config_steps = $forest_safari_config['steps'];
		}

		$current_theme = wp_get_theme();
		$this->theme_title = $current_theme->get( 'Name' );
		$this->theme_name = strtolower( preg_replace( '#[^a-zA-Z]#', '', $current_theme->get( 'Name' ) ) );
		$this->page_slug = apply_filters( $this->theme_name . '_theme_setup_wizard_page_slug', $this->theme_name . '-demoimport' );
		$this->parent_slug = apply_filters( $this->theme_name . '_theme_setup_wizard_parent_slug', '' );
	}

	/**
	 * Hooks and filters
	 * @since 1.0.0
	*/
	public function init() {
		add_action( 'admin_enqueue_scripts', array( $this, 'enqueue_scripts' ) );
		add_action( 'admin_menu', array( $this, 'menu_page' ) );
		add_action( 'wp_ajax_setup_widgets', array( $this, 'setup_widgets' ) );
	}

	public function enqueue_scripts() {
		wp_enqueue_style( 'demo-import-style', get_template_directory_uri() . '/demo-import/assets/css/demo-import-style.css');
		wp_register_script( 'demo-import-script', get_template_directory_uri() . '/demo-import/assets/js/demo-import-script.js', array( 'jquery' ), time() );
		wp_localize_script(
			'demo-import-script',
			'forest_safari_whizzie_params',
			array(
				'ajaxurl' 		=> admin_url( 'admin-ajax.php' ),
				'wpnonce' 		=> wp_create_nonce( 'whizzie_nonce' ),
				'verify_text'	=> esc_html( 'verifying', 'forest-safari' )
			)
		);
		wp_enqueue_script( 'demo-import-script' );
	}

	/**  Make a modal screen for the wizard **/
	public function menu_page() {
		add_menu_page( esc_html( $this->page_title ), esc_html( $this->page_title ), 'manage_options', $this->page_slug, array( $this, 'forest_safari_guide' ) ,'',40);
	}

	/** Make an interface for the wizard **/
	public function wizard_page() {
		/* If we arrive here, we have the filesystem */ ?>
		<div class="wrap">
			<?php echo '<div class="whizzie-wrap">';
				// The wizard is a list with only one item visible at a time
				$steps = $this->get_steps();
				echo '<ul class="whizzie-nav wizard-icon-nav">';?>
				<?php
					$stepI=1;
					foreach( $steps as $step ) {
						$stepAct=($stepI ==1)? 1 : 0;
						if( isset( $step['icon_text'] ) && $step['icon_text'] ) {
							echo '<li class="commom-cls nav-step-' . esc_attr( $step['id'] ) . '" wizard-steps="step-'.esc_attr( $step['id'] ).'" data-enable="'.$stepAct.'">
							<p>'.esc_attr( $step['icon_text'] ).'</p>
							</li>';
						}
					$stepI++;}
			 	echo '</ul>';
				echo '<ul class="whizzie-menu wizard-menu-page">';
				foreach( $steps as $step ) {
					$class = 'step step-' . esc_attr( $step['id'] );
					echo '<li data-step="' . esc_attr( $step['id'] ) . '" class="' . esc_attr( $class ) . '" >';
						$content = call_user_func( array( $this, $step['view'] ) );
						printf('<div class="wizard-button-wrapper">');
							if( isset( $step['button_text_one'] )) {
								printf(
									'<div class="button-wrap button-wrap-one">
										<a href="#" class="button button-primary do-it" data-callback="install_widgets" data-step="widgets"><p class="demo-type-text">%s</p></a>
									</div>',
									esc_html( $step['button_text_one'] )
								);
							}
						printf('</div>');
					echo '</li>';
				}
				echo '</ul>';
				?>
				<div class="step-loading"><span class="spinner">
					<img src="<?php echo esc_url(get_template_directory_uri().'/demo-import/assets/images/Spinner-Animaion.gif'); ?>">
				</span></div>
			<?php echo '</div>';?>
		</div>
	<?php }

	/**
	 * Set options for the steps
	 * @return Array
	*/
	public function get_steps() {
		$dev_steps = $this->config_steps;
		$steps = array(
			'widgets' => array(
				'id'			=> 'widgets',
				'title'			=> __( 'Customizer', 'forest-safari' ),
				'icon'			=> 'welcome-widgets-menus',
				'view'			=> 'get_step_widgets',
				'callback'		=> 'install_widgets',
				'button_text_one'	=> __( 'Import Demo', 'forest-safari' ),
				'can_skip'		=> true,
				'icon_text'      => 'Import Demo'
			),
			'done' => array(
				'id'			=> 'done',
				'title'			=> __( 'All Done', 'forest-safari' ),
				'icon'			=> 'yes',
				'view'			=> 'get_step_done',
				'callback'		=> '',
				'icon_text'      => 'Done'
			)
		);
		// Iterate through each step and replace with dev config values
		if( $dev_steps ) {
			// Configurable elements - these are the only ones the dev can update from config.php
			$can_config = array( 'title', 'icon', 'button_text', 'can_skip' );
			foreach( $dev_steps as $dev_step ) {
				// We can only proceed if an ID exists and matches one of our IDs
				if( isset( $dev_step['id'] ) ) {
					$id = $dev_step['id'];
					if( isset( $steps[$id] ) ) {
						foreach( $can_config as $element ) {
							if( isset( $dev_step[$element] ) ) {
								$steps[$id][$element] = $dev_step[$element];
							}
						}
					}
				}
			}
		}
		return $steps;
	}

	/**    Print the content for the intro step     **/
		public function get_step_importer() { ?>
		<div class="summary">
			<p>
				<?php esc_html_e('Thank you for choosing this Forest Safari Theme. Using this quick setup wizard, you will be able to configure your new website and get it running in just a few minutes. Just follow these simple steps mentioned in the wizard and get started with your website.','forest-safari'); ?>
			</p>
		</div>
	<?php }

	/**   Print the content for the widgets step   **/
	public function get_step_widgets() { ?>
		<div class="summary">
			<p>
				<?php esc_html_e('This theme allows you to import demo content and add widgets. Install them using the button below. You can also update or deactivate them using the Customizer.','forest-safari'); ?>
			</p>
		</div>
	<?php }

	/** Print the content for the final step **/
	public function get_step_done() { ?>

		<div class="setup-finish">
			<p>
				<?php echo esc_html('Your demo content has been imported successfully. Click the finish button for more information.'); ?>
			</p>
			<div class="finish-buttons">
				<a href="<?php echo esc_url( admin_url( 'themes.php?page=forest-safari-getstart-page' ) ); ?>" class="wz-btn-customizer" target="_blank"><?php esc_html_e('About Forest Safari','forest-safari') ?></a>
				<a href="<?php echo esc_url(admin_url('/customize.php')); ?>" class="wz-btn-customizer" target="_blank"><?php esc_html_e('Customize Your Demo','forest-safari') ?></a>
				<a href="" class="wz-btn-builder" target="_blank"><?php esc_html_e('Customize Your Demo','forest-safari'); ?></a>
				<a href="<?php echo esc_url(home_url()); ?>" class="wz-btn-visit-site" target="_blank"><?php esc_html_e('Visit Your Site','forest-safari'); ?></a>
			</div>
			<div class="finish-buttons">
				<a href="<?php echo esc_url(admin_url()); ?>" class="button button-primary"><?php esc_html_e('Finish','forest-safari'); ?></a>
			</div>
		</div>

	<?php }


	public function forest_safari_customizer_nav_menu() {
		// ------- Create Primary Menu --------
		$forest_safari_themename = 'Forest Safari'; // Ensure the theme name is set
		$forest_safari_menuname = $forest_safari_themename . ' Primary Menu';
		$forest_safari_menulocation = 'menu-1';
		$forest_safari_menu_exists = wp_get_nav_menu_object($forest_safari_menuname);

		if (!$forest_safari_menu_exists) {
			$forest_safari_menu_id = wp_create_nav_menu($forest_safari_menuname);

			// Home
			wp_update_nav_menu_item($forest_safari_menu_id, 0, array(
				'menu-item-title' => __('Home', 'forest-safari'),
				'menu-item-classes' => 'home',
				'menu-item-url' => home_url('/'),
				'menu-item-status' => 'publish'
			));

			// About
			$forest_safari_page_about = get_page_by_path('about');
			if($forest_safari_page_about){
				wp_update_nav_menu_item($forest_safari_menu_id, 0, array(
					'menu-item-title' => __('About', 'forest-safari'),
					'menu-item-classes' => 'about',
					'menu-item-url' => get_permalink($forest_safari_page_about),
					'menu-item-status' => 'publish'
				));
			}

			// Services
			$forest_safari_page_services = get_page_by_path('services');
			if($forest_safari_page_services){
				wp_update_nav_menu_item($forest_safari_menu_id, 0, array(
					'menu-item-title' => __('Services', 'forest-safari'),
					'menu-item-classes' => 'services',
					'menu-item-url' => get_permalink($forest_safari_page_services),
					'menu-item-status' => 'publish'
				));
			}
			
			// Destination
			$forest_safari_page_destination = get_page_by_path('destination');
			if($forest_safari_page_destination){
				wp_update_nav_menu_item($forest_safari_menu_id, 0, array(
					'menu-item-title' => __('Destination', 'forest-safari'),
					'menu-item-classes' => 'destination',
					'menu-item-url' => get_permalink($forest_safari_page_destination),
					'menu-item-status' => 'publish'
				));
			}

			// Blog
			$forest_safari_page_blog = get_page_by_path('blog');
			if($forest_safari_page_blog){
				wp_update_nav_menu_item($forest_safari_menu_id, 0, array(
					'menu-item-title' => __('Blog', 'forest-safari'),
					'menu-item-classes' => 'blog',
					'menu-item-url' => get_permalink($forest_safari_page_blog),
					'menu-item-status' => 'publish'
				));
			}

			// Contact Us
			$forest_safari_page_contact = get_page_by_path('contact');
			if($forest_safari_page_contact){
				wp_update_nav_menu_item($forest_safari_menu_id, 0, array(
					'menu-item-title' => __('Contact Us', 'forest-safari'),
					'menu-item-classes' => 'contact',
					'menu-item-url' => get_permalink($forest_safari_page_contact),
					'menu-item-status' => 'publish'
				));
			}

			// Assign menu to location if not set
			if (!has_nav_menu($forest_safari_menulocation)) {
				$forest_safari_locations = get_theme_mod('nav_menu_locations');
				$forest_safari_locations[$forest_safari_menulocation] = $forest_safari_menu_id; // Use $forest_safari_menu_id here
				set_theme_mod('nav_menu_locations', $forest_safari_locations);
			}
		}
	}

	public function forest_safari_social_menu() {

		// ------- Create Social Menu --------
		$forest_safari_menuname = $forest_safari_themename . 'Social Menu';
		$forest_safari_menulocation = 'social-menu';
		$forest_safari_menu_exists = wp_get_nav_menu_object( $forest_safari_menuname );

		if( !$forest_safari_menu_exists){
			$forest_safari_menu_id = wp_create_nav_menu($forest_safari_menuname);

			wp_update_nav_menu_item( $forest_safari_menu_id, 0, array(
				'menu-item-title'  => __( 'Facebook', 'forest-safari' ),
				'menu-item-url'    => 'https://www.facebook.com',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $forest_safari_menu_id, 0, array(
				'menu-item-title'  => __( 'Pinterest', 'forest-safari' ),
				'menu-item-url'    => 'https://www.pinterest.com',
				'menu-item-status' => 'publish',
			) );
	
			wp_update_nav_menu_item( $forest_safari_menu_id, 0, array(
				'menu-item-title'  => __( 'Twitter', 'forest-safari' ),
				'menu-item-url'    => 'https://www.twitter.com',
				'menu-item-status' => 'publish',
			) );
	
			wp_update_nav_menu_item( $forest_safari_menu_id, 0, array(
				'menu-item-title'  => __( 'Youtube', 'forest-safari' ),
				'menu-item-url'    => 'https://www.youtube.com',
				'menu-item-status' => 'publish',
			) );

			wp_update_nav_menu_item( $forest_safari_menu_id, 0, array(
				'menu-item-title'  => __( 'Instagram', 'forest-safari' ),
				'menu-item-url'    => 'https://www.instagram.com',
				'menu-item-status' => 'publish',
			) );

			if( !has_nav_menu( $forest_safari_menulocation ) ){
					$locations = get_theme_mod('nav_menu_locations');
					$locations[$forest_safari_menulocation] = $forest_safari_menu_id;
					set_theme_mod( 'nav_menu_locations', $locations );
			}
		}
	}

	/**
	* Imports the Demo Content
	* @since 1.1.0
	*/
	public function setup_widgets() {

		//................................................. MENU PAGES .................................................//
		
		$forest_safari_home_id='';
		$forest_safari_home_content = '';

		$forest_safari_home_title = 'Home';
		$forest_safari_home = array(
				'post_type' => 'page',
				'post_title' => $forest_safari_home_title,
				'post_content'  => $forest_safari_home_content,
				'post_status' => 'publish',
				'post_author' => 1,
				'post_slug' => 'home'
		);
		$forest_safari_home_id = wp_insert_post($forest_safari_home);

		//Set the home page template
		add_post_meta( $forest_safari_home_id, '_wp_page_template', 'revolution-home.php' );

		//Set the static front page
		$forest_safari_home = get_page_by_title( 'Home' );
		update_option( 'page_on_front', $forest_safari_home->ID );
		update_option( 'show_on_front', 'page' );


		// Create a posts page and assign the template
		$forest_safari_blog_title = 'Blog';
		$forest_safari_blog_check = get_page_by_path('blog');
		if (!$forest_safari_blog_check) {
			$forest_safari_blog = array(
				'post_type'    => 'page',
				'post_title'   => $forest_safari_blog_title,
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'blog' // Unique slug for the blog page
			);
			$forest_safari_blog_id = wp_insert_post($forest_safari_blog);

			// Set the posts page
			if (!is_wp_error($forest_safari_blog_id)) {
				update_option('page_for_posts', $forest_safari_blog_id);
			}
		}

		// Create a Contact Us page and assign the template
		$forest_safari_contact_title = 'Contact Us';
		$forest_safari_contact_check = get_page_by_path('contact');
		if (!$forest_safari_contact_check) {
			$forest_safari_contact = array(
				'post_type'    => 'page',
				'post_title'   => $forest_safari_contact_title,
				'post_content'   => '"More About The Free Forest WordPress Theme"
										As the name suggests, the Free Forest WordPress Theme is available for free, making it an attractive option for individuals and small businesses with budget constraints. Despite being free, the theme doesn\'t compromise on quality or functionality, providing a robust foundation for crafting a compelling website without the financial barriers that often come with premium themes. Visually, the Free Forest WordPress Theme captures the essence of the wilderness with its thoughtfully crafted design elements. The color palette reflects the natural beauty of forests, with earthy tones and vibrant accents. The layout is intuitive and user-friendly, ensuring that visitors can navigate seamlessly through the site, much like exploring a lush forest trail. The responsive design ensures a consistent and engaging experience across various devices, from desktops to smartphones.	

										This theme boasts a plethora of features that cater to the unique needs of nature-centric websites. Customizable header and footer options allow users to personalize the look of their site easily. The theme supports multimedia content, making it ideal for showcasing high-resolution images, videos, and audio related to nature and wildlife. A variety of widgets and shortcodes enhance the functionality, enabling users to integrate elements like social media feeds and contact forms effortlessly. Additionally, the Free Forest WordPress Theme is optimized for search engines, ensuring that your content gets the visibility it deserves. The inclusion of custom post types for nature-related content and an easy-to-use theme customizer further enhances the user experience, empowering even those with limited technical expertise to create a professional-looking website.

										Within the dynamic landscape of website performance, the Free Forest WordPress Theme stands out as a paragon of excellence. Its proficiency is rooted in meticulous coding, ensuring swift loading times that significantly elevate the overall user experience. This theme transcends mere aesthetics; it showcases seamless compatibility with the latest WordPress updates and unwavering adherence to best coding practices, fortifying site security and stability. Tailored for bloggers, photographers, and environmental advocates, the Free Forest WordPress Theme presents a cost-effective solution without compromising on quality. Its captivating design, complemented by rich features and optimal performance, establishes it as a standout choice for those seeking to craft a compelling online presence devoted to the awe-inspiring wonders of the natural world. In a digital realm where performance is paramount, this theme emerges as a reliable and impactful choice, seamlessly blending functionality with visual allure.',
					'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'contact' // Unique slug for the Contact Us page
			);
			wp_insert_post($forest_safari_contact);
		}

		// Create a About page and assign the template
		$forest_safari_about_title = 'About';
		$forest_safari_about_check = get_page_by_path('about');
		if (!$forest_safari_about_check) {
			$forest_safari_about = array(
				'post_type'    => 'page',
				'post_title'   => $forest_safari_about_title,
				'post_content'   => '"More About The Free Forest WordPress Theme"
										As the name suggests, the Free Forest WordPress Theme is available for free, making it an attractive option for individuals and small businesses with budget constraints. Despite being free, the theme doesn\'t compromise on quality or functionality, providing a robust foundation for crafting a compelling website without the financial barriers that often come with premium themes. Visually, the Free Forest WordPress Theme captures the essence of the wilderness with its thoughtfully crafted design elements. The color palette reflects the natural beauty of forests, with earthy tones and vibrant accents. The layout is intuitive and user-friendly, ensuring that visitors can navigate seamlessly through the site, much like exploring a lush forest trail. The responsive design ensures a consistent and engaging experience across various devices, from desktops to smartphones.	

										This theme boasts a plethora of features that cater to the unique needs of nature-centric websites. Customizable header and footer options allow users to personalize the look of their site easily. The theme supports multimedia content, making it ideal for showcasing high-resolution images, videos, and audio related to nature and wildlife. A variety of widgets and shortcodes enhance the functionality, enabling users to integrate elements like social media feeds and contact forms effortlessly. Additionally, the Free Forest WordPress Theme is optimized for search engines, ensuring that your content gets the visibility it deserves. The inclusion of custom post types for nature-related content and an easy-to-use theme customizer further enhances the user experience, empowering even those with limited technical expertise to create a professional-looking website.

										Within the dynamic landscape of website performance, the Free Forest WordPress Theme stands out as a paragon of excellence. Its proficiency is rooted in meticulous coding, ensuring swift loading times that significantly elevate the overall user experience. This theme transcends mere aesthetics; it showcases seamless compatibility with the latest WordPress updates and unwavering adherence to best coding practices, fortifying site security and stability. Tailored for bloggers, photographers, and environmental advocates, the Free Forest WordPress Theme presents a cost-effective solution without compromising on quality. Its captivating design, complemented by rich features and optimal performance, establishes it as a standout choice for those seeking to craft a compelling online presence devoted to the awe-inspiring wonders of the natural world. In a digital realm where performance is paramount, this theme emerges as a reliable and impactful choice, seamlessly blending functionality with visual allure.',
					'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'about' // Unique slug for the About page
			);
			wp_insert_post($forest_safari_about);
		}

		// Create a Destination page and assign the template
		$forest_safari_destination_title = 'Destination';
		$forest_safari_destination_check = get_page_by_path('destination');
		if (!$forest_safari_destination_check) {
			$forest_safari_destination = array(
				'post_type'    => 'page',
				'post_title'   => $forest_safari_destination_title,
				'post_content'   => '"More About The Free Forest WordPress Theme"
										As the name suggests, the Free Forest WordPress Theme is available for free, making it an attractive option for individuals and small businesses with budget constraints. Despite being free, the theme doesn\'t compromise on quality or functionality, providing a robust foundation for crafting a compelling website without the financial barriers that often come with premium themes. Visually, the Free Forest WordPress Theme captures the essence of the wilderness with its thoughtfully crafted design elements. The color palette reflects the natural beauty of forests, with earthy tones and vibrant accents. The layout is intuitive and user-friendly, ensuring that visitors can navigate seamlessly through the site, much like exploring a lush forest trail. The responsive design ensures a consistent and engaging experience across various devices, from desktops to smartphones.	

										This theme boasts a plethora of features that cater to the unique needs of nature-centric websites. Customizable header and footer options allow users to personalize the look of their site easily. The theme supports multimedia content, making it ideal for showcasing high-resolution images, videos, and audio related to nature and wildlife. A variety of widgets and shortcodes enhance the functionality, enabling users to integrate elements like social media feeds and contact forms effortlessly. Additionally, the Free Forest WordPress Theme is optimized for search engines, ensuring that your content gets the visibility it deserves. The inclusion of custom post types for nature-related content and an easy-to-use theme customizer further enhances the user experience, empowering even those with limited technical expertise to create a professional-looking website.

										Within the dynamic landscape of website performance, the Free Forest WordPress Theme stands out as a paragon of excellence. Its proficiency is rooted in meticulous coding, ensuring swift loading times that significantly elevate the overall user experience. This theme transcends mere aesthetics; it showcases seamless compatibility with the latest WordPress updates and unwavering adherence to best coding practices, fortifying site security and stability. Tailored for bloggers, photographers, and environmental advocates, the Free Forest WordPress Theme presents a cost-effective solution without compromising on quality. Its captivating design, complemented by rich features and optimal performance, establishes it as a standout choice for those seeking to craft a compelling online presence devoted to the awe-inspiring wonders of the natural world. In a digital realm where performance is paramount, this theme emerges as a reliable and impactful choice, seamlessly blending functionality with visual allure.',
					'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'destination' // Unique slug for the Destination page
			);
			wp_insert_post($forest_safari_destination);
		}

		// Create a Services page and assign the template
		$forest_safari_services_title = 'Services';
		$forest_safari_services_check = get_page_by_path('services');
		if (!$forest_safari_services_check) {
			$forest_safari_services = array(
				'post_type'    => 'page',
				'post_title'   => $forest_safari_services_title,
				'post_content'   => '"More About The Free Forest WordPress Theme"
								As the name suggests, the Free Forest WordPress Theme is available for free, making it an attractive option for individuals and small businesses with budget constraints. Despite being free, the theme doesn\'t compromise on quality or functionality, providing a robust foundation for crafting a compelling website without the financial barriers that often come with premium themes. Visually, the Free Forest WordPress Theme captures the essence of the wilderness with its thoughtfully crafted design elements. The color palette reflects the natural beauty of forests, with earthy tones and vibrant accents. The layout is intuitive and user-friendly, ensuring that visitors can navigate seamlessly through the site, much like exploring a lush forest trail. The responsive design ensures a consistent and engaging experience across various devices, from desktops to smartphones.	

								This theme boasts a plethora of features that cater to the unique needs of nature-centric websites. Customizable header and footer options allow users to personalize the look of their site easily. The theme supports multimedia content, making it ideal for showcasing high-resolution images, videos, and audio related to nature and wildlife. A variety of widgets and shortcodes enhance the functionality, enabling users to integrate elements like social media feeds and contact forms effortlessly. Additionally, the Free Forest WordPress Theme is optimized for search engines, ensuring that your content gets the visibility it deserves. The inclusion of custom post types for nature-related content and an easy-to-use theme customizer further enhances the user experience, empowering even those with limited technical expertise to create a professional-looking website.

								Within the dynamic landscape of website performance, the Free Forest WordPress Theme stands out as a paragon of excellence. Its proficiency is rooted in meticulous coding, ensuring swift loading times that significantly elevate the overall user experience. This theme transcends mere aesthetics; it showcases seamless compatibility with the latest WordPress updates and unwavering adherence to best coding practices, fortifying site security and stability. Tailored for bloggers, photographers, and environmental advocates, the Free Forest WordPress Theme presents a cost-effective solution without compromising on quality. Its captivating design, complemented by rich features and optimal performance, establishes it as a standout choice for those seeking to craft a compelling online presence devoted to the awe-inspiring wonders of the natural world. In a digital realm where performance is paramount, this theme emerges as a reliable and impactful choice, seamlessly blending functionality with visual allure.',
				'post_status'  => 'publish',
				'post_author'  => 1,
				'post_name'    => 'services' // Unique slug for the Services page
			);
			wp_insert_post($forest_safari_services);
		}


		// ------------------------------------------ Header -------------------------------------- //

			set_theme_mod('forest_safari_header_topbar_text','For financial peace of mind you can trust Fintech');
			set_theme_mod('forest_safari_topbar_button1_text','Help');
			set_theme_mod('forest_safari_topbar_button1_link','#');
			set_theme_mod('forest_safari_topbar_button2_text','What we do');
			set_theme_mod('forest_safari_topbar_button2_link','#');
			set_theme_mod('forest_safari_topbar_button3_text','Faqs');
			set_theme_mod('forest_safari_topbar_button3_link','#');
			
			set_theme_mod('forest_safari_header_info_address','351 Montreal Ave, Staten Island, NY 10506');
			set_theme_mod('forest_safari_header_info_phone','9876543210, 1234567890');
			set_theme_mod('forest_safari_header_info_email','Expample@gmail.com 12345@gmail.com');
			set_theme_mod('forest_safari_header_button_text','REQUEST A QUOTE');
			set_theme_mod('forest_safari_header_button_link','#');

			set_theme_mod( 'forest_safari_enable_slider', 1 );
			set_theme_mod( 'forest_safari_enable_aboutus', 1 );

		// ------------------------------------------ Slider Section -------------------------------------- //

			set_theme_mod('forest_safari_slide_number','3');

			for($i=1;$i<=3;$i++){
				set_theme_mod( 'forest_safari_slider_image'.$i,get_template_directory_uri().'/revolution/assets/image/slider'.$i.'.png' );
				set_theme_mod( 'forest_safari_slider_heading'.$i, 'Forests Play A Vital Role In Carbon Sequestration' );
				set_theme_mod( 'forest_safari_slider_text'.$i, 'Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.' );
				set_theme_mod( 'forest_safari_slider_button1_text'.$i, 'READ MORE' );
				set_theme_mod( 'forest_safari_slider_button1_link'.$i, '#' );
			}

		// ------------------------------------------ About Section -------------------------------------- //

			set_theme_mod( 'forest_safari_aboutus_image',get_template_directory_uri().'/revolution/assets/image/about.png' );
			set_theme_mod('forest_safari_aboutus_short_heading','ABOUT US');
			set_theme_mod('forest_safari_aboutus_heading','BEST FEATURES, BEST STARTUP');
			set_theme_mod('forest_safari_aboutus_text','Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptas harum, hic officiis commodi reprehenderit explicabo tenetur eos! Lorem ipsum dolor sit amet, consectetur adipisicing elit. Voluptas harum, hic officiis commodi reprehenderit explicabo tenetur eos Lorem ipsum dolor');

			$icon=array('fa fa-users','fa fa-file','fa fa-cogs','fa fa-folder','fa fa-user','fa fa-headset');
			$list=array('Professional Team','Attention To Details','Easy Customization','Good History Impact','Client-Orientation','Customer Support');

			for($i=1;$i<=6;$i++) {
				set_theme_mod( 'forest_safari_aboutus_list_icon'.$i, $icon[$i-1] );
				set_theme_mod( 'forest_safari_aboutus_list'.$i, $list[$i-1] );
			}



			set_theme_mod('animal_sanctuary_about_button1_text','Read More');
			set_theme_mod('animal_sanctuary_about_button1_link','#');
			set_theme_mod('animal_sanctuary_rescue_percentage','70');
			set_theme_mod('animal_sanctuary_adoption_percentage','90');
			set_theme_mod('animal_sanctuary_wildlife_percentage','65');
			set_theme_mod('animal_sanctuary_total_yr_experience','25');
			
			
			

  	 	$this->forest_safari_social_menu();
  	 	$this->forest_safari_customizer_nav_menu();
	}

	public function forest_safari_guide() {
		$display_string = '';
		$return = add_query_arg( array()) ;
		$theme = wp_get_theme( 'forest-safari' );
		?>
		<div class="wrapper-info get-stared-page-wrap">
			<div class="wrapper-info-content">
				<div class="buynow__">
					<h2><?php esc_html_e( 'Welcome to Forest Safari', 'forest-safari' ); ?> <span class="version">Version: <?php echo esc_html($theme['Version']);?></span></h2>
					<p><?php esc_html_e('The quick setup wizard will assist you in configuring your new website. This wizard will import the demo content.', 'forest-safari'); ?></p>
				</div>
				<div class="buynow_">
					<a target="_blank" class="buynow_themepage" href="<?php echo esc_url('https://www.revolutionwp.com/products/safari-wordpress-theme'); ?>"><?php echo esc_html__('Go Premium Now', 'forest-safari'); ?></a>
				</div>
			</div>
			<div class="tab-sec theme-option-tab">
				<div id="demo_offer" class="tabcontent open">
					<?php $this->wizard_page(); ?>
				</div>
			</div>
		</div>
	<?php }
}